org.eclipse.jetty.util.ajax

## Interface JSON.Output

- Enclosing class:
    JSON

      public static interface JSON.Output

  JSON Output class for use by `JSON.Convertible`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Object obj)`
    `void` | `add(String name, boolean value)`
    `void` | `add(String name, double value)`
    `void` | `add(String name, long value)`
    `void` | `add(String name, Object value)`
    `void` | `addClass(Class c)`

- - ### Method Detail

    - #### addClass

          void addClass(Class c)

    - #### add

          void add(Object obj)

    - #### add

          void add(String name,
                 Object value)

    - #### add

          void add(String name,
                 double value)

    - #### add

          void add(String name,
                 long value)

    - #### add

          void add(String name,
                 boolean value)

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.